package com.hzya.frame.sys.thirdparty.api.test.dao;

import com.hzya.frame.sys.thirdparty.api.test.entity.SysThirdpartyapiTest;
import java.util.List;

/**
 * @description: 第三方应用接口测试表  dao
 * @tableName: sys_thirdparty_api_test 
 * @entityName: SysThirdpartyapiTest
 * @author: gjh
 * @history: 1.0
 */
public interface ISysThirdpartyapiTestMapper {

        //通过ID获取数据    entity_get
        SysThirdpartyapiTest entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<SysThirdpartyapiTest> entity_list_base(SysThirdpartyapiTest entity);

        //  查询符合条件的数量
        Integer entity_count(SysThirdpartyapiTest entity);

        //分页查询列表 采用like格式 entity_list_like
        List<SysThirdpartyapiTest> entity_list_like(SysThirdpartyapiTest entity);

        //查询列表 字段采用or格式   entity_list_or
        List<SysThirdpartyapiTest> entity_list_or(SysThirdpartyapiTest entity);

        //新增  entity_insert
        Integer entity_insert(SysThirdpartyapiTest entity);

        //修改  entity_update
        Integer entity_update(SysThirdpartyapiTest entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(SysThirdpartyapiTest entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(SysThirdpartyapiTest entity);

        //物理删除
        Integer entity_delete(SysThirdpartyapiTest entity);


        Integer delect_by_ThirdpartyApiId(List<String> interviceids);
}
